--head:-------------------------------------------------------------------------
--:head-------------------------------------------------------------------------
--------------------------------------------------------------------------------
-- Description    : 
--============================================================================ 
-- Important Notes:
--============================================================================ 
#inc inc_cfg/gtm_device_cfg.cmd

#if $(#tim_instances_cnt == 0)
   ALL SYNC ALL
   AEI print "=================================================================================="
   AEI print "Warning : TIM is not available in this device"
   AEI print "Warning : Test isn't executed"
   AEI print "=================================================================================="
   ALL SYNC ALL
   ALL QUIT
#endif
#if $(#mcs_instances_cnt == 0)
   ALL SYNC ALL
   AEI print "=================================================================================="
   AEI print "Warning : MCS is not available in this device"
   AEI print "Warning : Test isn't executed"
   AEI print "=================================================================================="
   ALL SYNC ALL
   ALL QUIT
#endif

DBI SET_RPT_LEVEL AEI       INFO
DBI SET_RPT_LEVEL mcs0_ch0  ERR
DBI SET_RPT_LEVEL mcs0_ch1  ERR
DBI SET_RPT_LEVEL mcs0      ERR
DBI SET_RPT_LEVEL tim0_ch0  ERR
DBI SET_RPT_LEVEL aru       ERR

MCS OPEN_TRACE 0 FILE transcript CH 0 
--MCS OPEN_TRACE 0 FILE transcript CH 1 

--MCS SET_SHELL_PBP 0 CH 0 ADDR 0x8C
--------------------------------------------------------------------------------------
-- WATCHDOG: 
CLK WATCHDOG 50000 ms
--------------------------------------------------------------------------------------

#inc inc/aei_address_table.cmd
#inc inc/aru_write_addr_map.cmd
#inc inc/chksig_labels.cmd



AEI SET_RM_ACCESS_CYCLES 3
AEI SET_RM_WAIT_CYCLES 1

ALL IRQ MASK #400 1
ALL IRQ MASK #401 1
ALL IRQ MASK #402 1
ALL IRQ MASK #403 1
ALL IRQ MASK #404 1
ALL IRQ MASK #405 1
ALL IRQ MASK #406 1
ALL IRQ MASK #407 1
ALL IRQ MASK #408 1
ALL IRQ MASK #409 1
ALL IRQ MASK #410 1
ALL IRQ MASK #411 1
ALL IRQ MASK #412 1
ALL IRQ MASK #413 1
ALL IRQ MASK #414 1
ALL IRQ MASK #415 1
ALL IRQ MASK #416 1
ALL IRQ MASK #417 1
ALL IRQ MASK #418 1
ALL IRQ MASK #419 1
ALL IRQ MASK #420 1
ALL IRQ MASK #421 1
ALL IRQ MASK #422 1
ALL IRQ MASK #423 1
ALL IRQ MASK #424 1
ALL IRQ MASK #425 1
ALL IRQ MASK #426 1
ALL IRQ MASK #427 1
ALL IRQ MASK #428 1
ALL IRQ MASK #429 1
ALL IRQ MASK #430 1
ALL IRQ MASK #431 1
ALL IRQ MASK #500 1
ALL IRQ MASK #501 1
ALL IRQ MASK #502 1
ALL IRQ MASK #503 1
ALL IRQ MASK #504 1
ALL IRQ MASK #505 1
ALL IRQ MASK #506 1
ALL IRQ MASK #507 1
ALL IRQ MASK #508 1
ALL IRQ MASK #509 1
ALL IRQ MASK #510 1
ALL IRQ MASK #511 1
ALL IRQ MASK #512 1
ALL IRQ MASK #513 1
ALL IRQ MASK #514 1
ALL IRQ MASK #515 1
ALL IRQ MASK #516 1
ALL IRQ MASK #517 1
ALL IRQ MASK #518 1
ALL IRQ MASK #519 1
ALL IRQ MASK #520 1
ALL IRQ MASK #521 1
ALL IRQ MASK #522 1
ALL IRQ MASK #523 1





CLK FREQ  100 MHz
CLK RESET  1  12
CLK WAIT deltime 100 ns

ALL SYNC ALL
AEI print "configure report level"
AEI print "======================================================="

ALL SYNC ALL

AEI print "start c-test 'mcs_spi_app'"
SWI RUN_SW mcs_spi_app
ALL SYNC ALL

AEI print "Run simulation"
AEI print "======================================================="

AEI WAIT simtime 35 ms
ALL SYNC ALL

AEI print "======================================================================"
AEI print "End of Test"
AEI print "======================================================================"
ALL SYNC ALL
ALL QUIT

#isr 400
SWI RUN_ISR mcs_spi_app_isr 400
#end

#isr 401
SWI RUN_ISR mcs_spi_rx_isr 401
#end

#isr 402
SWI RUN_ISR mcs_spi_app_isr 402
#end

#isr 403
SWI RUN_ISR mcs_spi_app_isr 403
#end

#isr 404
SWI RUN_ISR mcs_spi_app_isr 404
#end

#isr 405
SWI RUN_ISR mcs_spi_app_isr 405
#end

#isr 406
SWI RUN_ISR mcs_spi_app_isr 406
#end

#isr 407
SWI RUN_ISR mcs_spi_app_isr 407
#end

#isr 408
SWI RUN_ISR mcs_spi_app_isr 408
#end

#isr 409
SWI RUN_ISR mcs_spi_rx_isr 409
#end

#isr 410
SWI RUN_ISR mcs_spi_app_isr 410
#end

#isr 411
SWI RUN_ISR mcs_spi_app_isr 411
#end

#isr 412
SWI RUN_ISR mcs_spi_app_isr 412
#end

#isr 413
SWI RUN_ISR mcs_spi_app_isr 413
#end

#isr 414
SWI RUN_ISR mcs_spi_app_isr 414
#end

#isr 415
SWI RUN_ISR mcs_spi_app_isr 415
#end

#isr 416
SWI RUN_ISR mcs_spi_app_isr 416
#end

#isr 417
SWI RUN_ISR mcs_spi_rx_isr 417
#end

#isr 418
SWI RUN_ISR mcs_spi_app_isr 418
#end

#isr 419
SWI RUN_ISR mcs_spi_app_isr 419
#end

#isr 420
SWI RUN_ISR mcs_spi_app_isr 420
#end

#isr 421
SWI RUN_ISR mcs_spi_app_isr 421
#end

#isr 422
SWI RUN_ISR mcs_spi_app_isr 422
#end

#isr 423
SWI RUN_ISR mcs_spi_app_isr 423
#end

#isr 424
SWI RUN_ISR mcs_spi_app_isr 424
#end

#isr 425
SWI RUN_ISR mcs_spi_rx_isr 425
#end

#isr 426
SWI RUN_ISR mcs_spi_app_isr 426
#end

#isr 427
SWI RUN_ISR mcs_spi_app_isr 427
#end

#isr 428
SWI RUN_ISR mcs_spi_app_isr 428
#end

#isr 429
SWI RUN_ISR mcs_spi_app_isr 429
#end

#isr 430
SWI RUN_ISR mcs_spi_app_isr 430
#end

#isr 431
SWI RUN_ISR mcs_spi_app_isr 431
#end

#isr 500 
SWI RUN_ISR mcs_spi_app_isr 500
#end

#isr 501 
SWI RUN_ISR mcs_spi_rx_isr 501
#end

#isr 502 
SWI RUN_ISR mcs_spi_app_isr 502
#end

#isr 503 
SWI RUN_ISR mcs_spi_app_isr 503
#end

#isr 504 
SWI RUN_ISR mcs_spi_app_isr 504
#end

#isr 505 
SWI RUN_ISR mcs_spi_app_isr 505
#end

#isr 506 
SWI RUN_ISR mcs_spi_app_isr 506
#end

#isr 507 
SWI RUN_ISR mcs_spi_app_isr 507
#end

#isr 508 
SWI RUN_ISR mcs_spi_app_isr 508
#end

#isr 509 
SWI RUN_ISR mcs_spi_rx_isr 509
#end

#isr 510 
SWI RUN_ISR mcs_spi_app_isr 510
#end

#isr 511 
SWI RUN_ISR mcs_spi_app_isr 511
#end

#isr 512 
SWI RUN_ISR mcs_spi_app_isr 512
#end

#isr 513 
SWI RUN_ISR mcs_spi_app_isr 513
#end

#isr 514 
SWI RUN_ISR mcs_spi_app_isr 514
#end

#isr 515 
SWI RUN_ISR mcs_spi_app_isr 515
#end

#isr 516 
SWI RUN_ISR mcs_spi_app_isr 516
#end

#isr 517 
SWI RUN_ISR mcs_spi_rx_isr 517
#end

#isr 518 
SWI RUN_ISR mcs_spi_app_isr 518
#end

#isr 519
SWI RUN_ISR mcs_spi_app_isr 519
#end

#isr 520 
SWI RUN_ISR mcs_spi_app_isr 520
#end

#isr 521 
SWI RUN_ISR mcs_spi_app_isr 521
#end

#isr 522
SWI RUN_ISR mcs_spi_app_isr 522
#end

#isr 523 
SWI RUN_ISR mcs_spi_app_isr 523
#end


#inc inc/empty_isr_out_signals.cmd

-------------------------------------------------------------------------------
-- This is the footer of the file.
-------------------------------------------------------------------------------
