--head:-------------------------------------------------------------------------
--:head-------------------------------------------------------------------------
--------------------------------------------------------------------------------
-- Description    : Flexible PWM generation with ATOM
--                  Supports application note AN012
--============================================================================ 
-- Important Notes:
--============================================================================ 

--------------------------------------------------------------------------------------
-- WATCHDOG: 
CLK WATCHDOG 5001 us
--------------------------------------------------------------------------------------

#inc inc/aru_write_addr_map.cmd
#inc inc/chksig_labels.cmd
--#inc inc/check_gtm_resources.cmd
--AEI SET_RM_ACCESS_CYCLES 3
--AEI SET_RM_WAIT_CYCLES 1

ALL IRQ MASK #903 1

CLK FREQ  100 MHz
CLK RESET  1  12
CLK WAIT deltime 100 ns

ALL SYNC ALL
AEI print "configure report level"
AEI print "======================================================="
DBI SET_RPT_LEVEL AEI   INFO
DBI SET_RPT_LEVEL SWI   INFO
--DBI SET_RPT_LEVEL CHK   INFO
--DBI SET_RPT_LEVEL tom0 DBG3
--DBI SET_RPT_LEVEL tom0_ch0 DBG3

ALL SYNC ALL

AEI print "Configure CHK IFS"
AEI print "======================================================="


ALL SYNC ALL

AEI print "start c-test 'sw_atom_flex_pwm_an012'"
SWI RUN_SW sw_atom_flex_pwm_an012

AEI print "Run simulation"
AEI print "======================================================="

AEI WAIT simtime 5000 us
--AEI WAIT simtime 400 us
ALL SYNC ALL

--CHK ENABLE 1 OFF
--CHK ENABLE 2 OFF
--CHK ENABLE 3 OFF
--CHK ENABLE 4 OFF

--ALL SYNC ALL

AEI print "======================================================================"
AEI print "End of Test"
AEI print "======================================================================"
ALL SYNC ALL
ALL QUIT

#isr 903
AEI print "ATOM0-CH0/1 IRQ fired (irq-903)"
SWI RUN_ISR sw_atom_flex_pwm_an012_isr 903
#end


#inc inc/empty_isr_out_signals.cmd

-------------------------------------------------------------------------------
-- This is the footer of the file.
-------------------------------------------------------------------------------
