--head:-------------------------------------------------------------------------
--:head-------------------------------------------------------------------------
--------------------------------------------------------------------------------
-- Description    : Creates 6 synchronous symmetrical PWM output signals
--                  Reload duty cycle values via FIFO
--                  Use channel 7 to count number of periods for update period
--============================================================================ 
-- Important Notes:
--============================================================================
--IFS REPORTLEVEL DEBUG
IST ASSIGN elevator_off = 0
IST ASSIGN speed_i = #elevator_request 
IST ASSIGN elevator_request = $(#elevator_request + 1) 

ALL SYNC CHK IST 

#if $(#up_dir)
#else  
-- CHK print "status" #cur_floor #cur_seg #cur_pos #up_dir
--  CHK ASSIGN cur_floor = $(#cur_floor  - 1)
--  CHK ASSIGN cur_seg = 3
	 -- #if $(#cur_pos == 1)
         --   CHK ASSIGN cur_floor = $(#cur_floor  - 1)
         --   CHK ASSIGN floor_i = $(#cur_floor - 1)
	 --   CHK ASSIGN cur_pos = #floor_height[#floor_i]
         --   CHK ASSIGN cur_seg = 3
	 -- #else
            CHK ASSIGN cur_pos = $(#cur_pos - 1)
	 -- #endif
#endif
ALL SYNC CHK IST

#loop i #floor_cnt
   --CHK print "xx" #i #cur_floor
   CHK ASSIGN floor_i = $(#cur_floor)
   #if $(#up_dir)
      CHK ASSIGN end_posi = #floor_height[#floor_i]
      CHK ASSIGN cur_posi = 0
   #else  
      CHK ASSIGN end_posi = 0
      CHK ASSIGN cur_posi = #floor_height[#floor_i]
   #endif
   ALL SYNC CHK IST

   #loop j (#cur_posi , #end_posi)
    ALL SYNC CHK IST
    IST RETURN_SIG_VAL #TOM0_OUT0 up_dir1
    IST RETURN_SIG_VAL #TOM0_OUT1 down_dir1
    --IST print "values " #up_dir1 #down_dir1 
    ALL SYNC CHK IST
    #if $(#up_dir1 == 0 && #down_dir1 == 0)
      IST ASSIGN elevator_off = 1
    #else
--CHK print "yy" #j #cur_pos #cur_seg #up_dir 
	-- setup encoder signals
	#if $(#up_dir)
	  CHK ASSIGN is = $(#cur_seg + #up_dir)
	  ALL SYNC CHK IST
	  #if $(#cur_pos == #segments[#is])
	    #if $(#cur_seg == 3)
	      CHK ASSIGN cur_seg = 0
	      CHK ASSIGN cur_pos = 0
	    #else
	      CHK ASSIGN cur_seg = $(#cur_seg + 1)
	    #endif
	  #endif
	#else
	  CHK ASSIGN is = $(#cur_seg + #up_dir)
	  ALL SYNC CHK IST
	  #if $(#cur_pos == #segments[#is])
	    #if $(#cur_seg == 0)
              CHK ASSIGN floor_i = $(#cur_floor - 1)
	      CHK ASSIGN cur_pos = #floor_height[#floor_i]
	     -- CHK ASSIGN cur_pos = $(#cur_posi + 1)
	      CHK ASSIGN cur_floor =  $(#cur_floor - 1)
	      CHK ASSIGN cur_seg = 3
	    #else
	      CHK ASSIGN cur_seg = $(#cur_seg - 1)
              CHK ASSIGN cur_pos = $(#cur_pos - 1)
	    #endif	    
	  #else
            CHK ASSIGN cur_pos = $(#cur_pos - 1)
	  #endif
	#endif
	ALL SYNC CHK IST
        --CHK print "debugout" #cur_pos  #cur_floor #cur_seg
        CHK ASSIGN xx = $(#cur_floor + #floor_min)'h#
        ALL SYNC CHK IST
        #if $((#xx & h#8000000000000000) == 0 )
	  CHK ASSIGN e_label = Floor
	  CHK ASSIGN e_floor = $(#cur_floor + #floor_min)
	#else
	  CHK ASSIGN e_label = Basement
	  CHK ASSIGN e_floor = $((#cur_floor + #floor_min) * -1)
	#endif
	CHK print  "Testbench" #e_label #e_floor " Values " #cur_seg
	--CHK print "Use position " #cur_seg " Values " #signal_sequence0[#cur_seg] #signal_sequence1[#cur_seg]
	CHK CLR_INSTR 0
	CHK ADD_INSTR 0 SSL #encoder1[0] #signal_sequence0[#cur_seg]
	CHK ADD_INSTR 0 SSL #encoder1[1] #signal_sequence1[#cur_seg]
	CHK ASSIGN zero_val = LO
	#if $(#up_dir)
	  #if $(#cur_pos == 0 && (#cur_floor + #floor_min) == 0)
	     CHK ASSIGN zero_val = HI
	  #endif
	#else
	  #if $(#cur_pos == 1 && (#cur_floor + #floor_min) == 0)
	     CHK ASSIGN zero_val = HI
	  #endif
	#endif
	CHK ADD_INSTR 0 SSL #encoder1[2] #zero_val


	CHK ENABLE 0 ON
	CHK WAIT_TASK 0
	CHK ENABLE 0 OFF

	CHK WAIT deltime #elevator_speed[#speed_i] #t_unit
	#if $(#up_dir)
          CHK ASSIGN cur_pos = $(#cur_pos + 1)
	#else
	    --#if $(#cur_seg == 0)
	    --  CHK ASSIGN cur_seg = 3
	    --#endif
	  #if $(#cur_pos == 0)
	    --CHK ASSIGN cur_pos = #floor_height[#cur_floor]
	    --CHK ASSIGN cur_pos = #cur_posi
	  #else
           -- CHK ASSIGN cur_pos = $(#cur_pos - 1)
	  #endif
	#endif
	
     #endif
   #eol
   #if $(#elevator_off == 0)
      #if $(#up_dir)
	  CHK ASSIGN cur_floor = $(#cur_floor + 1)
	  CHK ASSIGN cur_pos = 0
	  CHK ASSIGN cur_seg = 0
      #else
	   #if $(#cur_floor == 0)
             CHK ASSIGN cur_floor = -1
	   #else
	   --  CHK ASSIGN cur_floor =  $(#cur_floor - 1)
	   #endif
	  --CHK ASSIGN end_pos = 0
	  --CHK ASSIGN floor_i = $(#cur_floor - #floor_min)
	  --CHK ASSIGN cur_pos = #floor_height[#floor_i]
      #endif
   #endif
#eol

ALL SYNC CHK IST

