
AEI print "Generate MASKS"

AEI ASSIGN var_mask = 0
AEI ASSIGN var_mask_read = 0
AEI ASSIGN var_5_mask = 0
ALL SYNC ALL
#if $(#cmu_eclk_cnt > 0)
#loop j (0, $(#cmu_eclk_cnt - 1))
		AEI ASSIGN var_mask = $((2 << (16 + 2*#j)) | #var_mask)	
		AEI ASSIGN var_mask_read = $((3 << (16 + 2*#j)) | #var_mask_read)
		AEI ASSIGN var_5_mask = $((1 << (16 + 2*#j)) | #var_5_mask)
#eol
#endif
ALL SYNC ALL
AEI ASSIGN clk_mask = 0
AEI ASSIGN clk_mask_read = 0
AEI ASSIGN clk_5_mask = 0
AEI ASSIGN clk_var = 0
#if $(#DEV_i < h#300)
  AEI ASSIGN cmu_clk_ena = 1 1 1 1 1 1 1 1 x
#endif
ALL SYNC ALL
#loop j (0, 7)
  AEI ASSIGN clk_var = $(#cmu_clk_ena[#j])
  AEI ASSIGN clk_mask      = $(((2 * #clk_var) << (2 * #j)) | #clk_mask)	
  AEI ASSIGN clk_mask_read = $(((3 * #clk_var) << (2 * #j)) | #clk_mask_read)
  AEI ASSIGN clk_5_mask    = $(((1 * #clk_var) << (2 * #j)) | #clk_5_mask)
#eol
ALL SYNC ALL
#if $(#cmu_fclk_cnt == 0)
	AEI ASSIGN CMU_CLK_EN_MASK = 		$(#clk_mask | #var_mask)
	AEI ASSIGN CMU_CLK_EN_MASK_READ = 	$(#clk_mask_read | #var_mask_read)
	AEI ASSIGN CMU_CLK_EN_MASK_5 =		$(#clk_5_mask | #var_5_mask)
#else
	AEI ASSIGN CMU_CLK_EN_MASK = 		$((h#00800000 + #clk_mask) | #var_mask)
	AEI ASSIGN CMU_CLK_EN_MASK_READ = 	$((h#00C00000 + #clk_mask_read) | #var_mask_read)
	AEI ASSIGN CMU_CLK_EN_MASK_5 =		$((h#00400000 + #clk_5_mask) | #var_5_mask)
#endif
AEI ASSIGN CMU_CLK_EN_MASK_RES = $(h#FF000000 | #CMU_CLK_EN_MASK)
AEI print "CMU_CLK_EN_MASK_RES" $(#CMU_CLK_EN_MASK_RES)'h#
AEI print "CMU_CLK_EN_MASK" $(#CMU_CLK_EN_MASK)'h#
AEI print "CMU_CLK_EN_MASK_READ" $(#CMU_CLK_EN_MASK_READ)'h#
AEI print "CMU_CLK_EN_MASK_5" $(#CMU_CLK_EN_MASK_5)'h#

AEI ASSIGN cmu_eclk_array = CMU_ECLK_0_NUM CMU_ECLK_0_DEN CMU_ECLK_1_NUM CMU_ECLK_1_DEN	CMU_ECLK_2_NUM CMU_ECLK_2_DEN x 	
AEI ASSIGN loop_cnt = $(#cmu_eclk_cnt * 1)

