--head:-------------------------------------------------------------------------
--:head-------------------------------------------------------------------------
--------------------------------------------------------------------------------
-- Description : 								      
--------------------------------------------------------------------------------
#inc inc_cfg/gtm_device_cfg.cmd

AEI print "check for DUT"
AEI ASSIGN dut_is_rm = 0
AEI DUT_IS_RM dut_is_rm
ALL SYNC ALL

--#if $(#dut_is_rm)
--    AEI print "DUT is RM"
--    AEI ASSIGN tim_instances_cnt = 4
--#endif
ALL SYNC ALL

CLK FREQ  100 MHz
CLK RESET  1  12
CLK WAIT deltime 100 ns

#inc inc/chksig_labels.cmd

ALL SYNC ALL
--DBI SET_RPT_LEVEL CHK INFO
--DBI SET_RPT_LEVEL AEI INFO

AEI ASSIGN TIM0_IN = #TIM0_IN0 #TIM0_IN1 #TIM0_IN2 #TIM0_IN3 #TIM0_IN4 #TIM0_IN5 #TIM0_IN6 #TIM0_IN7
AEI ASSIGN TIM1_IN = #TIM1_IN0 #TIM1_IN1 #TIM1_IN2 #TIM1_IN3 #TIM1_IN4 #TIM1_IN5 #TIM1_IN6 #TIM1_IN7
AEI ASSIGN TIM2_IN = #TIM2_IN0 #TIM2_IN1 #TIM2_IN2 #TIM2_IN3 #TIM2_IN4 #TIM2_IN5 #TIM2_IN6 #TIM2_IN7
AEI ASSIGN TIM3_IN = #TIM3_IN0 #TIM3_IN1 #TIM3_IN2 #TIM3_IN3 #TIM3_IN4 #TIM3_IN5 #TIM3_IN6 #TIM3_IN7
AEI ASSIGN TIM4_IN = #TIM4_IN0 #TIM4_IN1 #TIM4_IN2 #TIM4_IN3 #TIM4_IN4 #TIM4_IN5 #TIM4_IN6 #TIM4_IN7
AEI ASSIGN TIM5_IN = #TIM5_IN0 #TIM5_IN1 #TIM5_IN2 #TIM5_IN3 #TIM5_IN4 #TIM5_IN5 #TIM5_IN6 #TIM5_IN7


AEI print "======================================================================"
AEI print "Software integration tests:"
AEI print "======================================================================"

DBI SET_RPT_LEVEL AEI INFO
--DBI SET_RPT_LEVEL CHK INFO

AEI print "calling c-test 'tim_port_test'"
ALL SYNC ALL
SWI RUN_SW tim_port_test

------------------------------------------------------------------------------
CHK ASSIGN CHK_CNT =  8
ALL SYNC ALL
#if $(#tom_instances_cnt < #tim_instances_cnt)
 CHK ASSIGN CHK_PORT = #ATOM0_OUT0 #ATOM0_OUT1 #ATOM0_OUT2 #ATOM0_OUT3 #ATOM0_OUT4 #ATOM0_OUT5 #ATOM0_OUT6 #ATOM0_OUT7 
 CHK ASSIGN CHK_CNT =  #atom_channel_cnt[0]
#else
 CHK ASSIGN CHK_PORT = #TOM0_OUT0 #TOM0_OUT1 #TOM0_OUT2 #TOM0_OUT3 #TOM0_OUT4 #TOM0_OUT5 #TOM0_OUT6 #TOM0_OUT7 
 CHK ASSIGN CHK_CNT =  $(#tom_channel_cnt[0] )
#endif
#if $(#tim_instances_cnt > 0)
#if $(#CHK_CNT > #tim_channel_cnt[0] )
  CHK ASSIGN CHK_CNT =  #tim_channel_cnt[0] 
#endif
#loop i #CHK_CNT
    CHK ASSIGN in = #TIM0_IN[#i]
    CHK ADD_INSTR #i SSL #in HI
    CHK ADD_INSTR #i WSE #CHK_PORT[#i] FE
    CHK ADD_INSTR #i SSL #in LO
    CHK ADD_INSTR #i WSE #CHK_PORT[#i] RE       
    CHK ADD_INSTR #i SSL #in HI
    CHK ADD_INSTR #i WSE #CHK_PORT[#i] FE
    CHK ADD_INSTR #i SSL #in LO
#eol
#loop i #CHK_CNT
    CHK ENABLE #i ON
#eol
#loop i #CHK_CNT
  CHK WAIT_TASK #i
#eol
#loop i #CHK_CNT
    CHK ENABLE #i OFF
#eol
#loop i #CHK_CNT
    CHK CLR_INSTR #i
#eol 
#endif

------------------------------------------------------------------------------
#if $(#tom_instances_cnt < #tim_instances_cnt)
 CHK ASSIGN CHK_PORT = #ATOM1_OUT0 #ATOM1_OUT1 #ATOM1_OUT2 #ATOM1_OUT3 #ATOM1_OUT4 #ATOM1_OUT5 #ATOM1_OUT6 #ATOM1_OUT7
 CHK ASSIGN CHK_CNT =  #atom_channel_cnt[1]
#else
 CHK ASSIGN CHK_PORT = #TOM0_OUT8 #TOM0_OUT9 #TOM0_OUT10 #TOM0_OUT11 #TOM0_OUT12 #TOM0_OUT13 #TOM0_OUT14 #TOM0_OUT15 
 CHK ASSIGN CHK_CNT =  $(#tom_channel_cnt[0] - 8)
#endif
#if $(#tim_instances_cnt > 1)
#if $(#CHK_CNT > #tim_channel_cnt[1] )
  CHK ASSIGN CHK_CNT =  #tim_channel_cnt[1] 
#endif
ALL SYNC ALL
#loop i #CHK_CNT
    CHK ASSIGN in = #TIM1_IN[#i]
    CHK ADD_INSTR #i SSL #in HI
    CHK ADD_INSTR #i WSE #CHK_PORT[#i] FE
    CHK ADD_INSTR #i SSL #in LO
    CHK ADD_INSTR #i WSE #CHK_PORT[#i] RE         
    CHK ADD_INSTR #i SSL #in HI
    CHK ADD_INSTR #i WSE #CHK_PORT[#i] FE
    CHK ADD_INSTR #i SSL #in LO
#eol
#loop i #CHK_CNT
    CHK ENABLE #i ON
#eol
CHK WAIT_TASK $(#CHK_CNT - 1)
#loop i #CHK_CNT
    CHK ENABLE #i OFF
#eol
#loop i #CHK_CNT
    CHK CLR_INSTR #i
#eol 
#endif

------------------------------------------------------------------------------
#if $(#tom_instances_cnt < #tim_instances_cnt)
 CHK ASSIGN CHK_PORT = #ATOM2_OUT0 #ATOM2_OUT1 #ATOM2_OUT2 #ATOM2_OUT3 #ATOM2_OUT4 #ATOM2_OUT5 #ATOM2_OUT6 #ATOM2_OUT7 
 CHK ASSIGN CHK_CNT =  #atom_channel_cnt[2]
#else
 CHK ASSIGN CHK_PORT = #TOM1_OUT0 #TOM1_OUT1 #TOM1_OUT2 #TOM1_OUT3 #TOM1_OUT4 #TOM1_OUT5 #TOM1_OUT6 #TOM1_OUT7 
 CHK ASSIGN CHK_CNT =  $(#tom_channel_cnt[1] - 0)
#endif
#if $(#tim_instances_cnt > 2)
#if $(#CHK_CNT > #tim_channel_cnt[2] )
  CHK ASSIGN CHK_CNT =  #tim_channel_cnt[2] 
#endif
#loop i #tim_channel_cnt[2]
    CHK ASSIGN in = #TIM2_IN[#i]
    CHK ADD_INSTR #i SSL #in HI
    CHK ADD_INSTR #i WSE #CHK_PORT[#i] FE
    CHK ADD_INSTR #i SSL #in LO
    CHK ADD_INSTR #i WSE #CHK_PORT[#i] RE          
    CHK ADD_INSTR #i SSL #in HI
    CHK ADD_INSTR #i WSE #CHK_PORT[#i] FE
    CHK ADD_INSTR #i SSL #in LO
#eol
#loop i #CHK_CNT
    CHK ENABLE #i ON
#eol
CHK WAIT_TASK $(#CHK_CNT - 1)
#loop i #CHK_CNT
    CHK ENABLE #i OFF
#eol
#loop i #CHK_CNT
    CHK CLR_INSTR #i
#eol 
#endif

------------------------------------------------------------------------------
#if $(#tom_instances_cnt < #tim_instances_cnt)
 CHK ASSIGN CHK_PORT = #ATOM3_OUT0 #ATOM3_OUT1 #ATOM3_OUT2 #ATOM3_OUT3 #ATOM3_OUT4 #ATOM3_OUT5 #ATOM3_OUT6 #ATOM3_OUT7 
 CHK ASSIGN CHK_CNT =  #atom_channel_cnt[3]
#else
 CHK ASSIGN CHK_PORT = #TOM1_OUT8 #TOM1_OUT9 #TOM1_OUT10 #TOM1_OUT11 #TOM1_OUT12 #TOM1_OUT13 #TOM1_OUT14 #TOM1_OUT15 
 CHK ASSIGN CHK_CNT =  $(#tom_channel_cnt[1] - 8)
#endif
#if $(#tim_instances_cnt > 3)
#if $(#CHK_CNT > #tim_channel_cnt[3] )
  CHK ASSIGN CHK_CNT =  #tim_channel_cnt[3] 
#endif
#loop i #tim_channel_cnt[3]
    CHK ASSIGN in = #TIM3_IN[#i]
    CHK ADD_INSTR #i SSL #in HI
    CHK ADD_INSTR #i WSE #CHK_PORT[#i] FE
    CHK ADD_INSTR #i SSL #in LO
    CHK ADD_INSTR #i WSE #CHK_PORT[#i] RE          
    CHK ADD_INSTR #i SSL #in HI
    CHK ADD_INSTR #i WSE #CHK_PORT[#i] FE
    CHK ADD_INSTR #i SSL #in LO
#eol
#loop i #CHK_CNT
    CHK ENABLE #i ON
#eol
CHK WAIT_TASK $(#CHK_CNT - 1)
#loop i #CHK_CNT
    CHK ENABLE #i OFF
#eol
#loop i #CHK_CNT
    CHK CLR_INSTR #i
#eol 
#endif

------------------------------------------------------------------------------
#if $(#tom_instances_cnt < #tim_instances_cnt)
 CHK ASSIGN CHK_PORT = #ATOM4_OUT0 #ATOM4_OUT1 #ATOM4_OUT2 #ATOM4_OUT3 #ATOM4_OUT4 #ATOM4_OUT5 #ATOM4_OUT6 #ATOM4_OUT7 
 CHK ASSIGN CHK_CNT =  #atom_channel_cnt[4]
#else
 CHK ASSIGN CHK_PORT = #TOM2_OUT0 #TOM2_OUT1 #TOM2_OUT2 #TOM2_OUT3 #TOM2_OUT4 #TOM2_OUT5 #TOM2_OUT6 #TOM2_OUT7 
 CHK ASSIGN CHK_CNT =  $(#tom_channel_cnt[2] - 0)
#endif
#if $(#tim_instances_cnt > 4)
#if $(#CHK_CNT > #tim_channel_cnt[4] )
  CHK ASSIGN CHK_CNT =  #tim_channel_cnt[4] 
#endif
#loop i #tim_channel_cnt[4]
    CHK ASSIGN in = #TIM4_IN[#i]
    CHK ADD_INSTR #i SSL #in HI
    CHK ADD_INSTR #i WSE #CHK_PORT[#i] FE
    CHK ADD_INSTR #i SSL #in LO
    CHK ADD_INSTR #i WSE #CHK_PORT[#i] RE         
    CHK ADD_INSTR #i SSL #in HI
    CHK ADD_INSTR #i WSE #CHK_PORT[#i] FE
    CHK ADD_INSTR #i SSL #in LO
#eol
#loop i #CHK_CNT
    CHK ENABLE #i ON
#eol
CHK WAIT_TASK $(#CHK_CNT - 1)
#loop i #CHK_CNT
    CHK ENABLE #i OFF
#eol
#loop i #CHK_CNT
    CHK CLR_INSTR #i
#eol 
#endif

------------------------------------------------------------------------------
#if $(#tom_instances_cnt < #tim_instances_cnt)
 CHK ASSIGN CHK_PORT = #ATOM5_OUT0 #ATOM5_OUT1 #ATOM5_OUT2 #ATOM5_OUT3 #ATOM5_OUT4 #ATOM5_OUT5 #ATOM5_OUT6 #ATOM5_OUT7 
 CHK ASSIGN CHK_CNT =  #atom_channel_cnt[5]
#else
 CHK ASSIGN CHK_PORT = #TOM2_OUT8 #TOM2_OUT9 #TOM2_OUT10 #TOM2_OUT11 #TOM2_OUT12 #TOM2_OUT13 #TOM2_OUT14 #TOM2_OUT15 
 CHK ASSIGN CHK_CNT =  $(#tom_channel_cnt[2] - 8)
#endif
#if $(#tim_instances_cnt > 5)
#if $(#CHK_CNT > #tim_channel_cnt[5] )
  CHK ASSIGN CHK_CNT =  #tim_channel_cnt[5] 
#endif
#loop i #tim_channel_cnt[5]
    CHK ASSIGN in = #TIM5_IN[#i]
    CHK ADD_INSTR #i SSL #in HI
    CHK ADD_INSTR #i WSE #CHK_PORT[#i] FE
    CHK ADD_INSTR #i SSL #in LO
    CHK ADD_INSTR #i WSE #CHK_PORT[#i] RE         
    CHK ADD_INSTR #i SSL #in HI
    CHK ADD_INSTR #i WSE #CHK_PORT[#i] FE
    CHK ADD_INSTR #i SSL #in LO
#eol
#loop i #CHK_CNT
    CHK ENABLE #i ON
#eol
CHK WAIT_TASK $(#CHK_CNT - 1)
#loop i #CHK_CNT
    CHK ENABLE #i OFF
#eol
#loop i #CHK_CNT
    CHK CLR_INSTR #i
#eol 
#endif

AEI WAIT deltime 20 us

ALL SYNC ALL
AEI print "======================================================================"
AEI print "End of Test"
AEI print "======================================================================"
ALL SYNC ALL
ALL QUIT

-------------------------------------------------------------------------------
-- Interrupt subroutine description
-------------------------------------------------------------------------------
#inc inc/empty_isr_out_signals.cmd

-------------------------------------------------------------------------------
-- This is the footer of the file.
-------------------------------------------------------------------------------
