#ifndef DEVICE_104
#define DEVICE_104

// GTM-RM configuratons
#define GTM_RM_REV      0x10000000   // GTM-RM device; masked with 0xFFF00000 !!
#define RM_MCS_INSTANCES 4
#define TIM_TOV_WIDTH    8

//------ GTM-IP 104 configuration:
#define GTM_REV_VALUE   0x104155A2
#define TBU_CHANNEL     3
#define BRC_INSTANCES   1
#define PSM_INSTANCES   2       // combined FIFO, AFD, F2A
#define FIFO_CHANNEL    8
#define SPE_INSTANCES   4
#define TIM_INSTANCES   6
#define TIM_CHANNEL     8
#define TIM_CHANNEL_CNT(i)	(8)
#define TOM_INSTANCES   5
#define TOM_CHANNEL     16
#define TOM_CHANNEL_CNT(i)	(16)
#define ATOM_INSTANCES  9
#define ATOM_CHANNEL    8
#define ATOM_CHANNEL_CNT(i)	(8)
#define DPLL_INSTANCES  1
#define MCS_INSTANCES   6
#define MCS_CHANNEL     8
#define MCS_CHANNEL_CNT(i)	(8)
#define DTM_INSTANCES   0
#define DTM_CHANNEL_CNT(i)	(4)

#define MON_INSTANCES   1
#define CMP_INSTANCES   1
#define ARU_INSTANCES   1
#define MAP_INSTANCES   1
#define MCFG_INSTANCES   1

#define DPLL_RR1A_ENTRIES		96
#define DPLL_RR1BC_ENTRIES		384
#define DPLL_RR2_ENTRIES		1024
#define DPLL_ACTIONS_32                 1 // define only if there are 32 actions

#define MCS_RAM_ENTRIES			1536
#define MCS_RAM0_ENTRIES		1024 
#define FIFO_ENTRIES			1024

#define CMU_FXCLKS 5
#define CMU_ECLKS  3
#define CMU_CLKS  8

#define MCS_ARCH 1

#define MEM_MAP_VERSION1 1

#define RAM_HW_INI_FROM_RESET 1

#endif
