--------------------------------------------------------------------------------
-- Description : Include file to aquire by AEI Write commands which functionality is
--  implemented in the device under test							      
--------------------------------------------------------------------------------
AEI ASSIGN AVAILABLE_IRQ_MODE_LEVEL = 0
AEI ASSIGN AVAILABLE_IRQ_MODE_PULSE = 0
AEI ASSIGN AVAILABLE_IRQ_MODE_PULSENOTIFY = 0
AEI ASSIGN AVAILABLE_IRQ_MODE_SINGLEPULSE = 0
ALL SYNC ALL

AEI print "IRQ_MODES available0:" #AVAILABLE_IRQ_MODE_LEVEL #AVAILABLE_IRQ_MODE_PULSE #AVAILABLE_IRQ_MODE_PULSENOTIFY #AVAILABLE_IRQ_MODE_SINGLEPULSE

AEI ASSIGN first_notify = 0
AEI ASSIGN gtm_rev_val = 0
RAEI ASSIGN aei_status = 0
ALL SYNC ALL
CLK RESET 1 1
ALL SYNC ALL
AEI WAIT deltime 1000 ns 
--AEI WAITCLK 10
ALL SYNC ALL
AEI ASSIGN AVAILABLE_IRQ_MODE_LEVEL = 0
-- the next access gets wrong status
AEI WRITE GTM_IRQ_MODE h#0 h#4
RAEI WAITCLK 1
RAEI WAIT deltime 5 ns
RAEI GET_STATUS aei_status
ALL SYNC ALL
-- the 2nd all further access gets right status
AEI WRITE GTM_IRQ_MODE h#0 h#4
RAEI WAITCLK 1
RAEI WAIT deltime 5 ns
RAEI GET_STATUS aei_status
ALL SYNC ALL
#if $( #aei_status == h#0 )
  AEI ASSIGN AVAILABLE_IRQ_MODE_LEVEL = 1
#endif

AEI print "IRQ_MODES available1:" #AVAILABLE_IRQ_MODE_LEVEL #AVAILABLE_IRQ_MODE_PULSE #AVAILABLE_IRQ_MODE_PULSENOTIFY #AVAILABLE_IRQ_MODE_SINGLEPULSE
ALL SYNC ALL
RAEI ASSIGN aei_status = 0
AEI ASSIGN AVAILABLE_IRQ_MODE_PULSE = 0
AEI WRITE GTM_IRQ_MODE h#1 h#4
RAEI WAITCLK 1
RAEI WAIT deltime 5 ns
RAEI GET_STATUS aei_status
ALL SYNC ALL
#if $( #aei_status == h#0 )
  AEI ASSIGN AVAILABLE_IRQ_MODE_PULSE = 1
#endif

AEI print "IRQ_MODES available2:" #AVAILABLE_IRQ_MODE_LEVEL #AVAILABLE_IRQ_MODE_PULSE #AVAILABLE_IRQ_MODE_PULSENOTIFY #AVAILABLE_IRQ_MODE_SINGLEPULSE
ALL SYNC ALL
RAEI ASSIGN aei_status = 0
AEI ASSIGN AVAILABLE_IRQ_MODE_PULSENOTIFY = 0
AEI WRITE GTM_IRQ_MODE h#2 h#4
RAEI WAITCLK 1
RAEI WAIT deltime 5 ns
RAEI GET_STATUS aei_status
ALL SYNC ALL
#if $( #aei_status == h#0 )
  AEI ASSIGN AVAILABLE_IRQ_MODE_PULSENOTIFY = 1
#endif

AEI print "IRQ_MODES available3:" #AVAILABLE_IRQ_MODE_LEVEL #AVAILABLE_IRQ_MODE_PULSE #AVAILABLE_IRQ_MODE_PULSENOTIFY #AVAILABLE_IRQ_MODE_SINGLEPULSE
ALL SYNC ALL
RAEI ASSIGN aei_status = 0
AEI ASSIGN AVAILABLE_IRQ_MODE_SINGLEPULSE = 0
AEI WRITE GTM_IRQ_MODE h#3 h#4
RAEI WAITCLK 1
RAEI WAIT deltime 5 ns
RAEI GET_STATUS aei_status
ALL SYNC ALL
#if $( #aei_status == h#0 )
  AEI ASSIGN AVAILABLE_IRQ_MODE_SINGLEPULSE = 1
#endif




ALL SYNC ALL
AEI READVAR  first_notify GTM_IRQ_NOTIFY
ALL SYNC ALL
#if $(#first_notify > 0)
   AEI WRITE GTM_IRQ_NOTIFY h#FFFFFFFF
#endif

AEI print "IRQ_MODES available:" #AVAILABLE_IRQ_MODE_LEVEL #AVAILABLE_IRQ_MODE_PULSE #AVAILABLE_IRQ_MODE_PULSENOTIFY #AVAILABLE_IRQ_MODE_SINGLEPULSE

--------------------------------------------------------------
-- set global variables DEVICE and GTM_GEN
AEI ASSIGN gtm_rev_val = 0
AEI ASSIGN DEVICE = 0
AEI ASSIGN GTM_GEN = 0
ALL SYNC ALL
AEI READVAR gtm_rev_val GTM_REV 
ALL SYNC ALL
AEI ASSIGN DEVICE  = $((#gtm_rev_val & h#FFF00000) >> 20)
--AEI print "GTM device under test is " #DEVICE 
AEI ASSIGN GTM_GEN = $((#gtm_rev_val & h#F0000000) >> 28)
--AEI print "GTM generation is " #GTM_GEN 
--------------------------------------------------------------
