
#isr 2286 
--       IST print "Interrupt of output signal ram2_ce" 2286 
       IST WAIT deltime 1 ps
IST ASSIGN dbg_trace_name_i = 286
IST ASSIGN dbg_trace_val_i = #DPLL_RAM2_CE
#if #ENABLE_DBG_TRACE
  #inc inc/dbg_trace.cmd
#endif
#if #ENABLE_DPLL_RAM_LOG
    IST RETURN_DBG_SIG_VAL #DPLL_RAM2_CE ce
    #if $(#ce == 1)
		IST RETURN_DBG_SIG_VAL #GTM_DBG_DPLL_RAM2_ACC acc
		IST RETURN_DBG_SIG_VAL #DPLL_RAM2_ADDR val
		IST ASSIGN ad[2] = $(#val)'h#
		IST RETURN_DBG_SIG_VAL #DPLL_RAM2_DIN din
		IST ASSIGN din = $(#din)'h#
		IST RETURN_DBG_SIG_VAL #DPLL_RAM2_WE val
		IST ASSIGN we[2] = #val
		#if $(#we[2] == 1)
		  IST print "RAM2_W("  #ad[2] ","  #din "," #gtm_halt_sig_val_prev "," #gtm_halt_sig_val ");"
		#endif
    #else
	   #if $(#we[2] == 0)
		IST RETURN_DBG_SIG_VAL #DPLL_RAM2_DOUT dout
		IST ASSIGN dout = $(#dout)'h#
		IST print "RAM2_R("   #ad[2] ","  #dout "," #gtm_halt_sig_val_prev "," #gtm_halt_sig_val ");"
		IST ASSIGN we[2] = 1
	   #endif
    #endif
#endif
#end 
#isr 2282 
--       IST print "Interrupt of output signal ram1a_ce" 2282 
       IST WAIT deltime 1 ps
IST ASSIGN dbg_trace_name_i = 282
IST ASSIGN dbg_trace_val_i = #DPLL_RAM1A_CE
#if #ENABLE_DBG_TRACE
  #inc inc/dbg_trace.cmd
#endif
#if #ENABLE_DPLL_RAM_LOG
    IST RETURN_DBG_SIG_VAL #DPLL_RAM1A_CE ce
    #if $(#ce == 1)
		IST RETURN_DBG_SIG_VAL #GTM_DBG_DPLL_RAM1A_ACC acc
		IST RETURN_DBG_SIG_VAL #DPLL_RAM1A_ADDR val
		IST ASSIGN ad[0] = $(#val)'h#
		IST RETURN_DBG_SIG_VAL #DPLL_RAM1A_DIN din
		IST ASSIGN din = $(#din)'h#
		IST RETURN_DBG_SIG_VAL #DPLL_RAM1A_WE val
		IST ASSIGN we[0] = #val
		#if $(#we[0] == 1)
		  IST print "RAM1a_W("  #ad[0] ","  #din "," #gtm_halt_sig_val_prev "," #gtm_halt_sig_val ");"
		#endif
    #else
	   #if $(#we[0] == 0)
		IST RETURN_DBG_SIG_VAL #DPLL_RAM1A_DOUT dout
		IST ASSIGN dout = $(#dout)'h#
		IST print "RAM1a_R("   #ad[0] ","  #dout "," #gtm_halt_sig_val_prev "," #gtm_halt_sig_val ");"
		IST ASSIGN we[0] = 1
	   #endif
    #endif
#endif
#end 
#isr 2284 
--       IST print "Interrupt of output signal ram1b_ce" 2284 
       IST WAIT deltime 1 ps
IST ASSIGN dbg_trace_name_i = 284
IST ASSIGN dbg_trace_val_i = #DPLL_RAM1B_CE
#if #ENABLE_DBG_TRACE
  #inc inc/dbg_trace.cmd
#endif
#if #ENABLE_DPLL_RAM_LOG
    IST RETURN_DBG_SIG_VAL #DPLL_RAM1B_CE ce
    #if $(#ce == 1)

		IST RETURN_DBG_SIG_VAL #GTM_DBG_DPLL_RAM1B_ACC acc
		IST RETURN_DBG_SIG_VAL #DPLL_RAM1B_ADDR val
		IST ASSIGN ad[1] = $(#val)'h#
		IST RETURN_DBG_SIG_VAL #DPLL_RAM1B_DIN din
		IST ASSIGN din = $(#din)'h#
		IST RETURN_DBG_SIG_VAL #DPLL_RAM1B_WE val
		IST ASSIGN we[1] = #val
		#if $(#we[1] == 1)
		  IST print "RAM1b_W("  #ad[1] ","  #din "," #gtm_halt_sig_val_prev "," #gtm_halt_sig_val ");"
		#endif
    #else
	   #if $(#we[1] == 0)
		IST RETURN_DBG_SIG_VAL #DPLL_RAM1B_DOUT dout
		IST ASSIGN dout = $(#dout)'h#
		IST print "RAM1b_R("   #ad[1] ","  #dout "," #gtm_halt_sig_val_prev "," #gtm_halt_sig_val ");"
		IST ASSIGN we[1] = 1
	   #endif
    #endif
#endif
#end 
