#if #ENABLE_TB_LOOPBACK
AEI ASSIGN [200]loopback_map = 300
AEI ASSIGN [200]loopback_init_done = 0
AEI ASSIGN loopback_index = 0
AEI ASSIGN loopback_val = 0
AEI ASSIGN loopback_id = 0
IST ASSIGN from_index = 0
IST ASSIGN sig_arr = LO HI
IST ASSIGN isig_arr = HI LO
ALL SYNC ALL

#loop loopback_index #loopback_cnt
  ALL SYNC ALL
  IFS IRQ MASK #loopback_list[#loopback_index] 1
  CHK ASSIGN loopback_id = #loopback_from[#loopback_index]
  CHK ASSIGN loopback_map[#loopback_id] = #loopback_index
#eol

ALL SYNC ALL
-- Preventing other ifs modules to step into ISR routines
#loop i #loopback_cnt
  CLK IRQ MASK #loopback_list[#i] 0
  SWI IRQ MASK #loopback_list[#i] 0
  AEI IRQ MASK #loopback_list[#i] 0
  DBI IRQ MASK #loopback_list[#i] 0
  RAEI IRQ MASK #loopback_list[#i] 0
  DPLL IRQ MASK #loopback_list[#i] 0
  IRQ IRQ MASK #loopback_list[#i] 0
#eol
ALL SYNC ALL

#loop loopback_index #loopback_cnt
  IST ASSIGN loopback_fr_index = #loopback_index
  IST ASSIGN match_from_if = #loopback_list[#loopback_index]
  IST ASSIGN loopback_id = #loopback_from[#loopback_index]
  IST ASSIGN from_index = #loopback_map[#loopback_id]
  IST print "loopindex" #loopback_index "from" #from_index " done" #loopback_init_done[#from_index]
  ALL SYNC ALL
  #if $(#loopback_init_done[#from_index] == 0)
    #inc inc/loopback_isr_call.cmd
  #endif
  IST ASSIGN loopback_init_done[#from_index] = 1
#eol

ALL SYNC ALL

#endif

