--------------------------------------------------------------------------------
-- Description : 								      
--------------------------------------------------------------------------------


ALL SYNC ALL
AEI ASSERT $(#unused_end_address >= #unused_start_address) "CHECK UNUSED ADDRESSES: End address cannot be < start address"
AEI ASSIGN unused_address_loop_iterations = $(( #unused_end_address - #unused_start_address ) / 4)
ALL SYNC ALL

#if $(#unused_address_loop_iterations > 0)
	#loop unused_address_loop_identifier #unused_address_loop_iterations
		ALL SYNC ALL
		AEI READ  $(#unused_start_address + #unused_address_loop_identifier * 4) h#0 h#0 h#3  -- Check read access to unused address results in Status 3
		AEI WRITE $(#unused_start_address + #unused_address_loop_identifier * 4) h#0 h#3 			-- Check write access to unsed address results in Status 3
	#eol
#endif	

AEI ASSIGN unused_start_address = $(#unused_end_address + 4) -- Reassign start address for next check
