--head:-------------------------------------------------------------------------
--:head-------------------------------------------------------------------------
--------------------------------------------------------------------------------
-- Description    : check generated MCS traces against reference trace
--============================================================================ 
-- Important Notes:
--============================================================================ 
ALL SYNC ALL
MCS ASSIGN is_unix_v = 0
MCS ASSIGN is_msim_v = 0
MCS IS_UNIX is_unix_v
MCS IS_MODELSIM is_msim_v
-- run advanced checks only on UNIX with MODELSIM
ALL SYNC ALL
#if $(#is_msim_v && #is_unix_v)
MCS SHELL \rm -f trace_file.log
MCS SHELL touch trace_file.log
#loop i #num_ch_trace
MCS CLOSE_TRACE #ch_trace_file_list[#i]
MCS SHELL sed -e 's/[0-9 A-Za-z]*//' #ch_trace_file_list[#i] >> trace_file.log
#eol
MCS SHELL diff trace_file.log #ref_trace_file
MCS SHELL_GET_RETVAL shell_ret
ALL SYNC ALL
#if $(#shell_ret == 0)
MCS ECHO  "trace file trace_file.log matches reference trace file " #ref_trace_file
#else
MCS ERROR "trace file trace_file.log differs from reference trace file " #ref_trace_file
#endif
#endif
