--head:-------------------------------------------------------------------------
--:head-------------------------------------------------------------------------
--------------------------------------------------------------------------------
-- Description : This file contains device dependant configuration variables
--------------------------------------------------------------------------------

-- value of register GTM_REV:
AEI ASSIGN GTM_IP_REV_VAL = h#104155A2
AEI ASSIGN DEV_i = $((#GTM_IP_REV_VAL & h#FFF00000) >> 20)

-- Variable to handle different Memory Map Versions in cmd files
AEI ASSIGN mem_map_version = 1

-- device 104 configuration:
AEI ASSIGN tim_instances = 0 1 2 3 4 5 6 x
AEI ASSIGN tim_instances_cnt = 6
AEI ASSIGN tim_channel_cnt   = 8 8 8 8 8 8 0 x

AEI ASSIGN tom_instances = 0 1 2 3 4 5 x
AEI ASSIGN tom_instances_cnt = 5
AEI ASSIGN tom_channel_cnt   = 16 16 16 16 16 0 x
AEI ASSIGN tom_out_reset_level = 1
AEI ASSIGN tom_trigger_chain_length  = 1
AEI ASSIGN tom_exttrig_available = 0
AEI ASSIGN tom_trigosm_available = 0
AEI ASSIGN tom_pcm_available = 1
AEI ASSIGN tom0_pcm_available = 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 
AEI ASSIGN tom1_pcm_available = 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 
AEI ASSIGN tom_sr0_trig_available = 0
AEI ASSIGN tom_trig_pulse_available = 0

AEI ASSIGN atom_instances = 0 1 2 3 4 5 6 7 8 9 10 11 x
AEI ASSIGN atom_instances_cnt = 9
AEI ASSIGN atom_channel_cnt   = 8 8 8 8 8 8 8 8 8 0 0 0 x
AEI ASSIGN atom_out_reset_level = 1
AEI ASSIGN atom_trigger_chain_length = 1
AEI ASSIGN atom_somb_available = 0
AEI ASSIGN atom_exttrig_available = 0
AEI ASSIGN atom_trigosm_available = 0
AEI ASSIGN atom_pcm_available = 0
AEI ASSIGN atom0_pcm_available = 0 0 0 0 0 0 0 0
AEI ASSIGN atom1_pcm_available = 0 0 0 0 0 0 0 0
AEI ASSIGN atom2_pcm_available = 0 0 0 0 0
AEI ASSIGN atom_sr0_trig_available = 0
AEI ASSIGN atom_trig_pulse_available = 0

AEI ASSIGN dtm_arch = 1
AEI ASSIGN DTM4RM_upd_v2 = 0
AEI ASSIGN dtm_instances = 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 x
AEI ASSIGN dtm_used      = 0 0 0 0 0 0 0 0 0 0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0 x
AEI ASSIGN dtm_ch0_mode  = 0 0 0 0 0 0 0 0 0 0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0 x
AEI ASSIGN dtm_ch1_mode  = 0 0 0 0 0 0 0 0 0 0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0 x
AEI ASSIGN dtm_ch2_mode  = 0 0 0 0 0 0 0 0 0 0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0 x
AEI ASSIGN dtm_ch3_mode  = 0 0 0 0 0 0 0 0 0 0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0  0 x
AEI ASSIGN dtm_instances_cnt = 0

AEI ASSIGN spe_instances = 0 1 2 3 x
AEI ASSIGN spe_instances_cnt = 4

AEI ASSIGN mcs_arch = 1
AEI ASSIGN mcs_ram_init_on_reset = 1
AEI ASSIGN mcs_instances = 0 1 2 3 4 5 6 x
AEI ASSIGN mcs_instances_cnt = 6
AEI ASSIGN mcs_channels       = 0 1 2 3 4 5 6 7 x
AEI ASSIGN mcs_channels_cnt   = 8 8 8 8 8 8 0 x
AEI ASSIGN mcs_default_ram_words = 1536 
AEI ASSIGN mcs_ram_init_timeout = 2 -- in us

AEI ASSIGN mcfg_instances = 0 x
AEI ASSIGN mcfg_instances_cnt = 1 

AEI ASSIGN aru_instances = 0 x
AEI ASSIGN aru_instances_cnt = 1

AEI ASSIGN brc_instances = 0 x
AEI ASSIGN brc_instances_cnt = 1

AEI ASSIGN psm_instances = 0 1 x
AEI ASSIGN psm_instances_cnt = 2

AEI ASSIGN tbu_channel_cnt   = 3

AEI ASSIGN cmu_num_eclk = 0 1 2 x
AEI ASSIGN cmu_eclk_cnt = 3
AEI ASSIGN cmu_num_fclk = 0 x
AEI ASSIGN cmu_fclk_cnt = 1

AEI ASSIGN cmp_instances = 0 x
AEI ASSIGN cmp_instances_cnt = 1

AEI ASSIGN mon_instances = 0 x
AEI ASSIGN mon_instances_cnt = 1

AEI ASSIGN map_instances = 0 x
AEI ASSIGN map_instances_cnt = 1

AEI ASSIGN dpll_instances = 0 x
AEI ASSIGN dpll_instances_cnt = 1
AEI ASSIGN dpll_ram2_word_cnt = 4096
AEI ASSIGN dpll_available_actions = 32
AEI ASSIGN GREF_DPLL_RAM2_WORD_CNT_C = 4096
--       "0" : RAM1a=96 words, 24 actions
--       "1" : RAM1a=128 words, 32 actions
--       "2" : RAM1a 0 words, 0 actions
AEI ASSIGN GREF_dpll_action_config_c = 1
AEI ASSIGN ram_hw_init_from_reset_config_c = 1

AEI ASSIGN dut_is_rm = 0
ALL SYNC ALL
AEI DUT_IS_RM dut_is_rm
AEI GET_DEVICE_ID dev_id

AEI ASSIGN aru_round_trip_cycles = 113
#if $(#dut_is_rm)
  AEI ASSIGN aru_round_trip_cycles = 73
  AEI print "aru_round_trip_cycles changed for RM to " $(#aru_round_trip_cycles)
#else
  AEI print "aru_round_trip_cycles defined for RTL to " $(#aru_round_trip_cycles)
#endif

-- default values: may be reset by include file inc/check_gtm_resources.cmd
AEI ASSIGN AVAILABLE_IRQ_MODE_LEVEL = 1
AEI ASSIGN AVAILABLE_IRQ_MODE_PULSE = 1
AEI ASSIGN AVAILABLE_IRQ_MODE_PULSENOTIFY = 1
AEI ASSIGN AVAILABLE_IRQ_MODE_SINGLEPULSE = 1

AEI ASSIGN IRQ_MODE_CNT = 4
AEI ASSIGN IRQ_MODE_LIST = 0 1 2 3

AEI ASSIGN IMPL_AEI_MODE_STD = 1
AEI ASSIGN IMPL_AEI_MODE_PIPELINED = 1
AEI ASSIGN IMPL_AEI_MODE_SPLIT = 1


--AEI ASSIGN AEI_DEFAULT_PROTOCOL = SPLIT
--AEI ASSIGN AEI_DEFAULT_PROTOCOL = PIPELINED
AEI ASSIGN AEI_DEFAULT_PROTOCOL = STANDARD
AEI AEI_DEFAULT_PROTOCOL #AEI_DEFAULT_PROTOCOL
 ALL SYNC ALL
-------------------------------------------------------------------------------
-- This is the footer of the file.
-------------------------------------------------------------------------------
