--head:-------------------------------------------------------------------------
--:head-------------------------------------------------------------------------
--------------------------------------------------------------------------------
-- Description : 								      
--------------------------------------------------------------------------------
#inc inc_cfg/gtm_device_cfg.cmd

#if $(#psm_instances_cnt == 0)
   ALL SYNC ALL
   AEI print "=================================================================================="
   AEI print "Warning : PSM is not available in this device"
   AEI print "Warning : Test isn't executed"
   AEI print "=================================================================================="
   ALL SYNC ALL
   ALL QUIT
#endif

CLK FREQ  100 MHz
CLK RESET  1  12
CLK WAIT deltime 100 ns

AEI WAIT deltime 1000 ns
ALL SYNC ALL

AEI ASSIGN rd_cnt0 = 0
AEI ASSIGN wr_cnt0 = 0
AEI GET_READ_COUNTER_VAL rd_cnt0
AEI GET_WRITE_COUNTER_VAL wr_cnt0
AEI print "Access_counting Write " #wr_cnt0 "Read " #rd_cnt0
AEI print "======================================================================"
AEI print "Software integration tests:"
AEI print "======================================================================"

DBI SET_RPT_LEVEL AEI INFO

AEI print "calling c-test 'fifo_mem_access'"
SWI RUN_SW fifo_mem_access

AEI WAIT deltime 200 us

ALL SYNC ALL
AEI ASSIGN rd_cnt1 = 0
AEI ASSIGN wr_cnt1 = 0
AEI GET_READ_COUNTER_VAL rd_cnt1
AEI GET_WRITE_COUNTER_VAL wr_cnt1
AEI print "Access_counting Write " $(#wr_cnt1 - #wr_cnt0) "Read " $(#rd_cnt1 - #rd_cnt0)
AEI print "======================================================================"
AEI print "End of Test"
AEI print "======================================================================"
ALL SYNC ALL
ALL QUIT

-------------------------------------------------------------------------------
-- Interrupt subroutine description
-------------------------------------------------------------------------------
#inc inc/empty_isr_out_signals.cmd
-------------------------------------------------------------------------------
-- This is the footer of the file.
-------------------------------------------------------------------------------
