--head:-------------------------------------------------------------------------
--:head-------------------------------------------------------------------------
--------------------------------------------------------------------------------
-- Description : 								      
--------------------------------------------------------------------------------
#inc inc_cfg/gtm_device_cfg.cmd

#if $(#tom_instances_cnt == 0)
   ALL SYNC ALL
   AEI print "=================================================================================="
   AEI print "Warning : TOM is not available in this device"
   AEI print "Warning : Test isn't executed"
   AEI print "=================================================================================="
   ALL SYNC ALL
   ALL QUIT
#endif

CLK FREQ  100 MHz
CLK RESET  1  12
CLK WAIT deltime 100 ns

#inc inc/chksig_labels.cmd

AEI WAIT deltime 1000 ns
ALL SYNC ALL

CHK ASSIGN loopcnt = 0
#if $(#tom_instances_cnt > 0)
    CHK ASSIGN loopcnt = 16
#endif

-- check generated OUT signal for TOM0
CHK ADD_INSTR 0 WSE #TOM0_OUT0 FE
CHK ADD_INSTR 0 WSE #TOM0_OUT0 RE  
CHK ADD_INSTR 1 WSE #TOM0_OUT1 FE
CHK ADD_INSTR 1 WSE #TOM0_OUT1 RE  
CHK ADD_INSTR 2 WSE #TOM0_OUT2 FE
CHK ADD_INSTR 2 WSE #TOM0_OUT2 RE  
CHK ADD_INSTR 3 WSE #TOM0_OUT3 FE
CHK ADD_INSTR 3 WSE #TOM0_OUT3 RE  
CHK ADD_INSTR 4 WSE #TOM0_OUT4 FE
CHK ADD_INSTR 4 WSE #TOM0_OUT4 RE  
CHK ADD_INSTR 5 WSE #TOM0_OUT5 FE
CHK ADD_INSTR 5 WSE #TOM0_OUT5 RE  
CHK ADD_INSTR 6 WSE #TOM0_OUT6 FE
CHK ADD_INSTR 6 WSE #TOM0_OUT6 RE  
CHK ADD_INSTR 7 WSE #TOM0_OUT7 FE
CHK ADD_INSTR 7 WSE #TOM0_OUT7 RE  
CHK ADD_INSTR 8 WSE #TOM0_OUT8 FE
CHK ADD_INSTR 8 WSE #TOM0_OUT8 RE  
CHK ADD_INSTR 9 WSE #TOM0_OUT9 FE
CHK ADD_INSTR 9 WSE #TOM0_OUT9 RE  
CHK ADD_INSTR 10 WSE #TOM0_OUT10 FE
CHK ADD_INSTR 10 WSE #TOM0_OUT10 RE  
CHK ADD_INSTR 11 WSE #TOM0_OUT11 FE
CHK ADD_INSTR 11 WSE #TOM0_OUT11 RE  
CHK ADD_INSTR 12 WSE #TOM0_OUT12 FE
CHK ADD_INSTR 12 WSE #TOM0_OUT12 RE  
CHK ADD_INSTR 13 WSE #TOM0_OUT13 FE
CHK ADD_INSTR 13 WSE #TOM0_OUT13 RE  
CHK ADD_INSTR 14 WSE #TOM0_OUT14 FE
CHK ADD_INSTR 14 WSE #TOM0_OUT14 RE  
CHK ADD_INSTR 15 WSE #TOM0_OUT15 FE
CHK ADD_INSTR 15 WSE #TOM0_OUT15 RE  

#if $(#tom_instances_cnt > 1) 
CHK ASSIGN loopcnt = 32
-- check generated OUT signal for TOM1
CHK ADD_INSTR 16 WSE #TOM1_OUT0 FE
CHK ADD_INSTR 16 WSE #TOM1_OUT0 RE  
CHK ADD_INSTR 17 WSE #TOM1_OUT1 FE
CHK ADD_INSTR 17 WSE #TOM1_OUT1 RE  
CHK ADD_INSTR 18 WSE #TOM1_OUT2 FE
CHK ADD_INSTR 18 WSE #TOM1_OUT2 RE  
CHK ADD_INSTR 19 WSE #TOM1_OUT3 FE
CHK ADD_INSTR 19 WSE #TOM1_OUT3 RE  
CHK ADD_INSTR 20 WSE #TOM1_OUT4 FE
CHK ADD_INSTR 20 WSE #TOM1_OUT4 RE  
CHK ADD_INSTR 21 WSE #TOM1_OUT5 FE
CHK ADD_INSTR 21 WSE #TOM1_OUT5 RE  
CHK ADD_INSTR 22 WSE #TOM1_OUT6 FE
CHK ADD_INSTR 22 WSE #TOM1_OUT6 RE  
CHK ADD_INSTR 23 WSE #TOM1_OUT7 FE
CHK ADD_INSTR 23 WSE #TOM1_OUT7 RE  
CHK ADD_INSTR 24 WSE #TOM1_OUT8 FE
CHK ADD_INSTR 24 WSE #TOM1_OUT8 RE  
CHK ADD_INSTR 25 WSE #TOM1_OUT9 FE
CHK ADD_INSTR 25 WSE #TOM1_OUT9 RE  
CHK ADD_INSTR 26 WSE #TOM1_OUT10 FE
CHK ADD_INSTR 26 WSE #TOM1_OUT10 RE  
CHK ADD_INSTR 27 WSE #TOM1_OUT11 FE
CHK ADD_INSTR 27 WSE #TOM1_OUT11 RE  
CHK ADD_INSTR 28 WSE #TOM1_OUT12 FE
CHK ADD_INSTR 28 WSE #TOM1_OUT12 RE  
CHK ADD_INSTR 29 WSE #TOM1_OUT13 FE
CHK ADD_INSTR 29 WSE #TOM1_OUT13 RE  
CHK ADD_INSTR 30 WSE #TOM1_OUT14 FE
CHK ADD_INSTR 30 WSE #TOM1_OUT14 RE  
CHK ADD_INSTR 31 WSE #TOM1_OUT15 FE
CHK ADD_INSTR 31 WSE #TOM1_OUT15 RE  
#endif

#if $(#tom_instances_cnt > 2) 
CHK ASSIGN loopcnt = 48
-- check generated OUT signal for TOM2
CHK ADD_INSTR 32 WSE #TOM2_OUT0 FE
CHK ADD_INSTR 32 WSE #TOM2_OUT0 RE  
CHK ADD_INSTR 33 WSE #TOM2_OUT1 FE
CHK ADD_INSTR 33 WSE #TOM2_OUT1 RE  
CHK ADD_INSTR 34 WSE #TOM2_OUT2 FE
CHK ADD_INSTR 34 WSE #TOM2_OUT2 RE  
CHK ADD_INSTR 35 WSE #TOM2_OUT3 FE
CHK ADD_INSTR 35 WSE #TOM2_OUT3 RE  
CHK ADD_INSTR 36 WSE #TOM2_OUT4 FE
CHK ADD_INSTR 36 WSE #TOM2_OUT4 RE  
CHK ADD_INSTR 37 WSE #TOM2_OUT5 FE
CHK ADD_INSTR 37 WSE #TOM2_OUT5 RE  
CHK ADD_INSTR 38 WSE #TOM2_OUT6 FE
CHK ADD_INSTR 38 WSE #TOM2_OUT6 RE  
CHK ADD_INSTR 39 WSE #TOM2_OUT7 FE
CHK ADD_INSTR 39 WSE #TOM2_OUT7 RE  
CHK ADD_INSTR 40 WSE #TOM2_OUT8 FE
CHK ADD_INSTR 40 WSE #TOM2_OUT8 RE  
CHK ADD_INSTR 41 WSE #TOM2_OUT9 FE
CHK ADD_INSTR 41 WSE #TOM2_OUT9 RE  
CHK ADD_INSTR 42 WSE #TOM2_OUT10 FE
CHK ADD_INSTR 42 WSE #TOM2_OUT10 RE  
CHK ADD_INSTR 43 WSE #TOM2_OUT11 FE
CHK ADD_INSTR 43 WSE #TOM2_OUT11 RE  
CHK ADD_INSTR 44 WSE #TOM2_OUT12 FE
CHK ADD_INSTR 44 WSE #TOM2_OUT12 RE  
CHK ADD_INSTR 45 WSE #TOM2_OUT13 FE
CHK ADD_INSTR 45 WSE #TOM2_OUT13 RE  
CHK ADD_INSTR 46 WSE #TOM2_OUT14 FE
CHK ADD_INSTR 46 WSE #TOM2_OUT14 RE  
CHK ADD_INSTR 47 WSE #TOM2_OUT15 FE
CHK ADD_INSTR 47 WSE #TOM2_OUT15 RE  
#endif

ALL SYNC ALL
-- enable CHKSIG tasks
#if $(#tom_instances_cnt != 0)
  #loop i $(#loopcnt)
      CHK ENABLE #i ON
  #eol
#endif

ALL SYNC ALL

AEI ASSIGN rd_cnt0 = 0
AEI ASSIGN wr_cnt0 = 0
AEI GET_READ_COUNTER_VAL rd_cnt0
AEI GET_WRITE_COUNTER_VAL wr_cnt0
AEI print "Access_counting Write " #wr_cnt0 "Read " #rd_cnt0
AEI print "======================================================================"
AEI print "Software integration tests:"
AEI print "======================================================================"

DBI SET_RPT_LEVEL AEI INFO

AEI print "calling c-test 'tom_port_test'"
ALL SYNC ALL
SWI RUN_SW tom_port_test

AEI WAIT deltime 12 us

ALL SYNC ALL

AEI WAIT deltime 120 us
ALL SYNC ALL
#if $(#tom_instances_cnt != 0)
  #loop i $(#loopcnt)
      CHK ENABLE #i OFF
  #eol
#else
  AEI print "Info: no TOM resources available in this device!"
#endif

ALL SYNC ALL
AEI ASSIGN rd_cnt1 = 0
AEI ASSIGN wr_cnt1 = 0
AEI GET_READ_COUNTER_VAL rd_cnt1
AEI GET_WRITE_COUNTER_VAL wr_cnt1
AEI print "Access_counting Write " $(#wr_cnt1 - #wr_cnt0) "Read " $(#rd_cnt1 - #rd_cnt0)
AEI print "======================================================================"
AEI print "End of Test"
AEI print "======================================================================"
ALL SYNC ALL
ALL QUIT

-------------------------------------------------------------------------------
-- Interrupt subroutine description
-------------------------------------------------------------------------------
#inc inc/empty_isr_out_signals.cmd

-------------------------------------------------------------------------------
-- This is the footer of the file.
-------------------------------------------------------------------------------
