//head:-------------------------------------------------------------------------
//------------------------------------------------------------------------------
// $Id: functions.h,v 1.21 2013/07/05 12:36:38 rub1rt Exp $
//------------------------------------------------------------------------------
// NO WARRANTIES: TO THE MAXIMUM EXTENT PERMITTED BY LAW, NEITHER THE
// INTELLECTUAL PROPERTY OWNERS, COPYRIGHT HOLDERS AND CONTRIBUTORS, NOR ANY
// PERSON, EITHER EXPRESSLY OR IMPLICITLY, WARRANTS ANY ASPECT OF THIS
// SPECIFICATION, SOFTWARE RELATED THERETO, CODE AND/OR PROGRAM RELATED THERETO,
// INCLUDING ANY OUTPUT OR RESULTS OF THIS SPECIFICATION, SOFTWARE RELATED
// THERETO, CODE AND/OR PROGRAM RELATED THERETO UNLESS AGREED TO IN WRITING.
// THIS SPECIFICATION, SOFTWARE RELATED THERETO, CODE AND/OR PROGRAM RELATED
// THERETO IS BEING PROVIDED "AS IS", WITHOUT ANY WARRANTY OF ANY TYPE OR
// NATURE, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
// WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, AND ANY
// WARRANTY THAT THIS SPECIFICATION, SOFTWARE RELATED THERETO, CODE AND/OR
// PROGRAM RELATED THERETO IS FREE FROM DEFECTS.
//
// ASSUMPTION OF RISK: THE RISK OF ANY AND ALL LOSS, DAMAGE, OR UNSATISFACTORY
// PERFORMANCE OF THIS SPECIFICATION (RESPECTIVELY THE PRODUCTS MAKING USE OF
// IT IN PART OR AS A WHOLE), SOFTWARE RELATED THERETO, CODE AND/OR PROGRAM
// RELATED THERETO RESTS WITH YOU AS THE USER. TO THE MAXIMUM EXTENT PERMITTED
// BY LAW, NEITHER THE INTELLECTUAL PROPERTY OWNERS, COPYRIGHT HOLDERS AND
// CONTRIBUTORS, NOR ANY PERSON EITHER EXPRESSLY OR IMPLICITLY, MAKES ANY
// REPRESENTATION OR WARRANTY REGARDING THE APPROPRIOATENESS OF THE USE, OUTPUT,
// OR RESULTS OF THE USE OF THIS SPECIFICATION, SOFTWARE RELATED THERETO, CODE
// AND/OR PROGRAM RELATED THERETO IN TERMS OF ITS CORRECTNESS, ACCURACY,
// RELIABILITY, BEING CURRENT OR OTHERWISE. NOR DO THEY HAVE ANY OBLIGATION TO
// CORRECT ERRORS, MAKE CHANGES, SUPPORT THIS SPECIFICATION, SOFTWARE RELATED
// THERETO, CODE AND/OR PROGRAM RELATED THERETO, DISTRIBUTE UPDATES, OR PROVIDE
// NOTIFICATION OF ANY ERROR OR DEFECT, KNOWN OR UNKNOWN. IF YOU RELY UPON THIS
// SPECIFICATION, SOFTWARE RELATED THERETO, CODE AND/OR PROGRAM RELATED THERETO,
// YOU DO SO AT YOUR OWN RISK, AND YOU ASSUME THE RESPONSIBILITY FOR THE
// RESULTS. SHOULD THIS SPECIFICATION, SOFTWARE RELATED THERETO, CODE AND/OR
// PROGRAM RELATED THERETO PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL LOSSES,
// INCLUDING, BUT NOT LIMITED TO, ANY NECESSARY SERVICING, REPAIR OR CORRECTION
// OF ANY PROPERTY INVOLVED TO THE MAXIMUM EXTEND PERMITTED BY LAW.
//
// DISCLAIMER: IN NO EVENT, UNLESS REQUIRED BY LAW OR AGREED TO IN WRITING,
// SHALL THE INTELLECTUAL PROPERTY OWNERS, COPYRIGHT HOLDERS OR ANY PERSON BE
// LIABLE FOR ANY LOSS, EXPENSE OR DAMAGE, OF ANY TYPE OR NATURE ARISING OUT OF
// THE USE OF, OR INABILITY TO USE THIS SPECIFICATION, SOFTWARE RELATED THERETO,
// CODE AND/OR PROGRAM RELATED THERETO, INCLUDING, BUT NOT LIMITED TO, CLAIMS,
// SUITS OR CAUSES OF ACTION INVOLVING ALLEGED INFRINGEMENT OF COPYRIGHTS,
// PATENTS, TRADEMARKS, TRADE SECRETS, OR UNFAIR COMPETITION.
//
// INDEMNIFICATION: TO THE MAXIMUM EXTEND PERMITTED BY LAW YOU AGREE TO
// INDEMNIFY AND HOLD HARMLESS THE INTELLECTUAL PROPERTY OWNERS, COPYRIGHT
// HOLDERS AND CONTRIBUTORS, AND EMPLOYEES, AND ANY PERSON FROM AND AGAINST ALL
// CLAIMS, LIABILITIES, LOSSES, CAUSES OF ACTION, DAMAGES, JUDGMENTS, AND
// EXPENSES, INCLUDING THE REASONABLE COST OF ATTORNEYS' FEES AND COURT COSTS,
// FOR INJURIES OR DAMAGES TO THE PERSON OR PROPERTY OF THIRD PARTIES,
// INCLUDING, WITHOUT LIMITATIONS, CONSEQUENTIAL, DIRECT AND INDIRECT DAMAGES
// AND ANY ECONOMIC LOSSES, THAT ARISE OUT OF OR IN CONNECTION WITH YOUR USE,
// MODIFICATION, OR DISTRIBUTION OF THIS SPECIFICATION, SOFTWARE RELATED
// THERETO, CODE AND/OR PROGRAM RELATED THERETO, ITS OUTPUT, OR ANY ACCOMPANYING
// DOCUMENTATION.
//
// GOVERNING LAW: THE RELATIONSHIP BETWEEN YOU AND ROBERT BOSCH GMBH SHALL BE
// GOVERNED SOLELY BY THE LAWS OF THE FEDERAL REPUBLIC OF GERMANY. THE
// STIPULATIONS OF INTERNATIONAL CONVENTIONS REGARDING THE INTERNATIONAL SALE OF
// GOODS SHALL NOT BE APPLICABLE. THE EXCLUSIVE LEGAL VENUE SHALL BE
// DUESSELDORF, GERMANY.
//
// MANDATORY LAW SHALL BE UNAFFECTED BY THE FOREGOING PARAGRAPHS.
//
// INTELLECTUAL PROPERTY OWNERS/COPYRIGHT OWNERS/CONTRIBUTORS: ROBERT BOSCH
// GMBH, ROBERT BOSCH PLATZ 1, 70839 GERLINGEN, GERMANY AND ITS LICENSORS.
//
// ALL RIGHTS RESERVED.
//------------------------------------------------------------------------------
// Project Name : GTM - Generic Timer Module
//------------------------------------------------------------------------------
// Copyright   : Robert Bosch GmbH, Gerlingen, Germany
// Department  : AE/EIY
// Created     : 13.05.2011
//------------------------------------------------------------------------------
//:head-------------------------------------------------------------------------
//------------------------------------------------------------------------------
// Description     : helper functions
//============================================================================ 
// Important Notes : 
//============================================================================ 

#ifndef FUNCTIONS_H_
#define FUNCTIONS_H_

# ifdef MEM_MAP_VERSION1
#    define TOM_TGC_GLB_CTRL(X1,X2)                    *((gtm_ptr)((GTM_ADDR_OFFSET)+0x8030+(X1)*0x800+(X2)*0x200))
#    define TOM_TGC_ENDIS_CTRL(X1,X2)                  *((gtm_ptr)((GTM_ADDR_OFFSET)+0x8070+(X1)*0x800+(X2)*0x200))
#    define TOM_TGC_ACT_TB(X1,X2)                      *((gtm_ptr)((GTM_ADDR_OFFSET)+0x8034+(X1)*0x800+(X2)*0x200))
#    define TOM_TGC_ENDIS_STAT(X1,X2)                  *((gtm_ptr)((GTM_ADDR_OFFSET)+0x8074+(X1)*0x800+(X2)*0x200))
#    define TOM_TGC_FUPD_CTRL(X1,X2)                   *((gtm_ptr)((GTM_ADDR_OFFSET)+0x8038+(X1)*0x800+(X2)*0x200))
#    define TOM_TGC_OUTEN_CTRL(X1,X2)                  *((gtm_ptr)((GTM_ADDR_OFFSET)+0x8078+(X1)*0x800+(X2)*0x200))
#    define TOM_TGC_INT_TRIG(X1,X2)                    *((gtm_ptr)((GTM_ADDR_OFFSET)+0x803C+(X1)*0x800+(X2)*0x200))
#    define TOM_TGC_OUTEN_STAT(X1,X2)                  *((gtm_ptr)((GTM_ADDR_OFFSET)+0x807C+(X1)*0x800+(X2)*0x200))
# endif

# ifdef MEM_MAP_VERSION0
#    define TOM_TGC0_GLB_CTRL(X1)                    *((gtm_ptr)((GTM_ADDR_OFFSET)+0x8000+(X1)*0x800))
#    define TOM_TGC0_ENDIS_CTRL(X1)                  *((gtm_ptr)((GTM_ADDR_OFFSET)+0x8004+(X1)*0x800))
#    define TOM_TGC0_ENDIS_STAT(X1)                  *((gtm_ptr)((GTM_ADDR_OFFSET)+0x8008+(X1)*0x800))
#    define TOM_TGC0_ACT_TB(X1)                      *((gtm_ptr)((GTM_ADDR_OFFSET)+0x800C+(X1)*0x800))
#    define TOM_TGC0_OUTEN_CTRL(X1)                  *((gtm_ptr)((GTM_ADDR_OFFSET)+0x8010+(X1)*0x800))
#    define TOM_TGC0_OUTEN_STAT(X1)                  *((gtm_ptr)((GTM_ADDR_OFFSET)+0x8014+(X1)*0x800))
#    define TOM_TGC0_FUPD_CTRL(X1)                   *((gtm_ptr)((GTM_ADDR_OFFSET)+0x8018+(X1)*0x800))
#    define TOM_TGC0_INT_TRIG(X1)                    *((gtm_ptr)((GTM_ADDR_OFFSET)+0x801C+(X1)*0x800))

#    define TOM_TGC1_GLB_CTRL(X1)		     *((gtm_ptr)((GTM_ADDR_OFFSET)+0x8040+(X1)*0x800))
#    define TOM_TGC1_ENDIS_CTRL(X1)		     *((gtm_ptr)((GTM_ADDR_OFFSET)+0x8044+(X1)*0x800))
#    define TOM_TGC1_ENDIS_STAT(X1)		     *((gtm_ptr)((GTM_ADDR_OFFSET)+0x8048+(X1)*0x800))
#    define TOM_TGC1_ACT_TB(X1) 		     *((gtm_ptr)((GTM_ADDR_OFFSET)+0x804C+(X1)*0x800))
#    define TOM_TGC1_OUTEN_CTRL(X1)		     *((gtm_ptr)((GTM_ADDR_OFFSET)+0x8050+(X1)*0x800))
#    define TOM_TGC1_OUTEN_STAT(X1)		     *((gtm_ptr)((GTM_ADDR_OFFSET)+0x8054+(X1)*0x800))
#    define TOM_TGC1_FUPD_CTRL(X1)		     *((gtm_ptr)((GTM_ADDR_OFFSET)+0x8058+(X1)*0x800))
#    define TOM_TGC1_INT_TRIG(X1)		     *((gtm_ptr)((GTM_ADDR_OFFSET)+0x805C+(X1)*0x800))


# endif


#ifndef BOOL_TYPE
#define BOOL_TYPE bool
#endif

#ifndef FALSE
#define FALSE false
#endif

#ifndef TRUE
#define TRUE true
#endif

string gtm_time_stamp();

#define MASK_AEI_STATUS 1

// embed time stamps to transcript in the case of RTL/RM simulations
#   ifdef GTM_RTL
#      define RPT_PRINT  cout << gtm_time_stamp() << "> "
#      define RPT_TC_PRINT(X1)  printf(X1)
#      define ENDL  "\n"
#      define STR_TYPE std::string
#      define STR_TYPE_NAME name
#   else
#      ifdef  GTM_REF 
#         define RPT_PRINT  cout << gtm_time_stamp() << "> "
#         define RPT_TC_PRINT(X1)  printf(X1)
#         define ENDL  endl
#         define STR_TYPE std::string
#         define STR_TYPE_NAME name
#      else
#         define RPT_PRINT  cout
#         define RPT_TC_PRINT(X1)  printf(X1)
#         define ENDL  "\n"
#         define STR_TYPE char 
#         define STR_TYPE_NAME name[40]
#      endif
#    endif

//------------------------------------------------------------------------------
// CMU Submodule setup
//------------------------------------------------------------------------------
typedef struct {
	unsigned int	gclk_num;
	unsigned int	gclk_den;
	unsigned int	clk_0;
	unsigned int	clk_1;
	unsigned int	clk_2;
	unsigned int	clk_3;
	unsigned int	clk_4;
	unsigned int	clk_5;
	unsigned int	clk_6;
	unsigned int	clk_7;
} tCmu_param;

int get_device(void);

void wait_until (gtm_ptr reg, int exp);

int check(int val, int exp, STR_TYPE STR_TYPE_NAME);
int checkm(int val, int exp, int mask, STR_TYPE STR_TYPE_NAME);
int checkr(int val, int exp, STR_TYPE STR_TYPE_NAME, int range);
int checkmr(int val, int exp, int mask, STR_TYPE STR_TYPE_NAME, int range);

int sint24tolong(unsigned int sint24);

void signature24_init_mcs();
void signature24_log();
void wait_for_signature24();
void signature24_compare(unsigned sigl, unsigned sigh, unsigned sigacb, const char * str);
void signature24_history(unsigned start_i, unsigned amount_i);
void signature24_init(unsigned sigl, unsigned sigh, unsigned sigacb);
void gtmhalt_cnt_compare(unsigned sigl, const char * str);

void wait_until_tbu_value(unsigned int val);

int loop_testcase();
void global_testcase_report();
void start_testcase_runtime_measurement(unsigned int mode);
void set_bridge_wr_mask(unsigned int mode);
void testcase_init_cmu(tCmu_param cParam, unsigned int en_msk); 
void set_bridge_mode(unsigned int mode);
void activate_gtm_reset();

#endif


